summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-benchmarks/acovea
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-benchmarks/acovea')
-rw-r--r--app-benchmarks/acovea/Manifest1
-rw-r--r--app-benchmarks/acovea/acovea-5.1.1-r1.ebuild49
-rw-r--r--app-benchmarks/acovea/acovea-5.1.1.ebuild48
-rw-r--r--app-benchmarks/acovea/files/acovea-5.1.1-asneeded.patch16
-rw-r--r--app-benchmarks/acovea/files/acovea-5.1.1-free-fix.patch12
-rw-r--r--app-benchmarks/acovea/files/acovea-5.1.1-gcc44.patch14
-rw-r--r--app-benchmarks/acovea/files/acovea-5.1.1-glibc-212.patch12
-rw-r--r--app-benchmarks/acovea/files/acovea-5.1.1-libevocosm.patch119
-rw-r--r--app-benchmarks/acovea/files/acovea-5.1.1-underlinking.patch10
-rw-r--r--app-benchmarks/acovea/metadata.xml9
10 files changed, 290 insertions, 0 deletions
diff --git a/app-benchmarks/acovea/Manifest b/app-benchmarks/acovea/Manifest
new file mode 100644
index 00000000000..40bda9a447e
--- /dev/null
+++ b/app-benchmarks/acovea/Manifest
@@ -0,0 +1 @@
+DIST libacovea-5.1.1.tar.gz 363048 SHA256 e84167ac683e6bf7720bd3edf1fc60e77961eb489d31fa2c1d0a34e7d67ae079 SHA512 47ac88d713004ccdbf31c29bd5ead3e9d869eee262f2c12e12bf9aa7ec177d2c1e175908704cd5463b314752692edcd98d69408dbeb5873caff1745535a3a365 WHIRLPOOL 420b6ec243a0e94a532091c1efebd37e42775db7c3402066849003f5325bf81ff0b87c64e6d0771dc1ccd6615484aebe1d40fec5e7ab19879596454a3cb95a4f
diff --git a/app-benchmarks/acovea/acovea-5.1.1-r1.ebuild b/app-benchmarks/acovea/acovea-5.1.1-r1.ebuild
new file mode 100644
index 00000000000..1e8c42409b3
--- /dev/null
+++ b/app-benchmarks/acovea/acovea-5.1.1-r1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=2
+WANT_AUTOMAKE=1.9
+inherit autotools eutils
+
+DESCRIPTION="Analysis of Compiler Options via Evolutionary Algorithm"
+HOMEPAGE="http://www.coyotegulch.com/products/acovea/"
+SRC_URI="http://www.coyotegulch.com/distfiles/lib${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE="static-libs"
+
+RDEPEND=">=dev-libs/libcoyotl-3.1.0
+ >=dev-libs/libevocosm-3.1.0
+ dev-libs/expat"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/lib${P}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-asneeded.patch \
+ "${FILESDIR}"/${P}-free-fix.patch \
+ "${FILESDIR}"/${P}-gcc44.patch \
+ "${FILESDIR}"/${P}-glibc-212.patch \
+ "${FILESDIR}"/${P}-underlinking.patch
+
+ if has_version ">=dev-libs/libevocosm-3.3.0"; then
+ epatch ${FILESDIR}"/${P}-libevocosm.patch"
+ fi
+
+ eautomake
+}
+
+src_configure() {
+ econf \
+ --disable-dependency-tracking \
+ $(use_enable static-libs static)
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die
+ dodoc ChangeLog NEWS README
+ find "${D}" -name '*.la' -exec rm -f '{}' +
+}
diff --git a/app-benchmarks/acovea/acovea-5.1.1.ebuild b/app-benchmarks/acovea/acovea-5.1.1.ebuild
new file mode 100644
index 00000000000..55ec6e4cf16
--- /dev/null
+++ b/app-benchmarks/acovea/acovea-5.1.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+WANT_AUTOMAKE=1.9
+inherit autotools eutils
+
+DESCRIPTION="Analysis of Compiler Options via Evolutionary Algorithm"
+HOMEPAGE="http://www.coyotegulch.com/products/acovea/"
+SRC_URI="http://www.coyotegulch.com/distfiles/lib${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE="static-libs"
+
+RDEPEND=">=dev-libs/libcoyotl-3.1.0
+ >=dev-libs/libevocosm-3.1.0
+ dev-libs/expat"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/lib${P}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-asneeded.patch \
+ "${FILESDIR}"/${P}-free-fix.patch \
+ "${FILESDIR}"/${P}-gcc44.patch \
+ "${FILESDIR}"/${P}-glibc-212.patch
+
+ if has_version ">=dev-libs/libevocosm-3.3.0"; then
+ epatch ${FILESDIR}"/${P}-libevocosm.patch"
+ fi
+
+ eautomake
+}
+
+src_configure() {
+ econf \
+ --disable-dependency-tracking \
+ $(use_enable static-libs static)
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die
+ dodoc ChangeLog NEWS README
+ find "${D}" -name '*.la' -exec rm -f '{}' +
+}
diff --git a/app-benchmarks/acovea/files/acovea-5.1.1-asneeded.patch b/app-benchmarks/acovea/files/acovea-5.1.1-asneeded.patch
new file mode 100644
index 00000000000..8bfb8a17555
--- /dev/null
+++ b/app-benchmarks/acovea/files/acovea-5.1.1-asneeded.patch
@@ -0,0 +1,16 @@
+--- cmdline/Makefile.am
++++ cmdline/Makefile.am
+@@ -7,4 +7,4 @@
+
+ runacovea_SOURCES = runacovea.cpp
+
+-LIBS = -L../libacovea -lacovea -lcoyotl -levocosm -lexpat
++LIBS = -L../libacovea -lacovea -lcoyotl -levocosm
+--- libacovea/Makefile.am
++++ libacovea/Makefile.am
+@@ -16,3 +16,5 @@
+ library_include_HEADERS = $(h_sources)
+
+ DEFS=-I. -I$(srcdir)
++
++LIBS = -lexpat
diff --git a/app-benchmarks/acovea/files/acovea-5.1.1-free-fix.patch b/app-benchmarks/acovea/files/acovea-5.1.1-free-fix.patch
new file mode 100644
index 00000000000..55b3b00e889
--- /dev/null
+++ b/app-benchmarks/acovea/files/acovea-5.1.1-free-fix.patch
@@ -0,0 +1,12 @@
+--- benchmarks/treebench.c
++++ benchmarks/treebench.c
+@@ -201,8 +201,8 @@
+ if (page->m_links[n] != NULL)
+ recursive_destroy_page(page->m_links[n]);
+
+- free(page);
+ }
++ free(page);
+ }
+
+ static void free_btree(btree * btree)
diff --git a/app-benchmarks/acovea/files/acovea-5.1.1-gcc44.patch b/app-benchmarks/acovea/files/acovea-5.1.1-gcc44.patch
new file mode 100644
index 00000000000..c5e5392b2f9
--- /dev/null
+++ b/app-benchmarks/acovea/files/acovea-5.1.1-gcc44.patch
@@ -0,0 +1,14 @@
+--- libacovea/acovea.cpp
++++ libacovea/acovea.cpp
+@@ -44,10 +44,11 @@
+ #include <unistd.h>
+ #include <sys/types.h>
+ #include <sys/wait.h>
+
+ #include <vector>
++#include <cstdio>
+ #include <cstring>
+ #include <sstream>
+ #include <iostream>
+ #include <iomanip>
+ #include <stdexcept>
diff --git a/app-benchmarks/acovea/files/acovea-5.1.1-glibc-212.patch b/app-benchmarks/acovea/files/acovea-5.1.1-glibc-212.patch
new file mode 100644
index 00000000000..9763951a672
--- /dev/null
+++ b/app-benchmarks/acovea/files/acovea-5.1.1-glibc-212.patch
@@ -0,0 +1,12 @@
+http://bugs.gentoo.org/336260
+
+--- libacovea/acovea.cpp
++++ libacovea/acovea.cpp
+@@ -44,6 +44,7 @@
+ #include <unistd.h>
+ #include <sys/types.h>
+ #include <sys/wait.h>
++#include <sys/stat.h>
+
+ #include <vector>
+ #include <cstring>
diff --git a/app-benchmarks/acovea/files/acovea-5.1.1-libevocosm.patch b/app-benchmarks/acovea/files/acovea-5.1.1-libevocosm.patch
new file mode 100644
index 00000000000..f801b8c68bc
--- /dev/null
+++ b/app-benchmarks/acovea/files/acovea-5.1.1-libevocosm.patch
@@ -0,0 +1,119 @@
+--- libacovea/acovea.cpp
++++ libacovea/acovea.cpp
+@@ -86,7 +86,7 @@
+ // randomize settings of this option
+ void option::randomize()
+ {
+- m_enabled = (g_random.get_rand_real2() < 0.5);
++ m_enabled = (g_random.get_real() < 0.5);
+ }
+
+ // mutate this option
+@@ -246,7 +246,7 @@
+ m_step = 1;
+
+ // possibly adjust value to randomize populations
+- size_t choice = g_random.get_rand_index(3);
++ size_t choice = g_random.get_index(3);
+
+ switch (choice)
+ {
+@@ -304,12 +304,12 @@
+ void tuning_option::mutate()
+ {
+ // select our mutation
+- if (g_random.get_rand_real2() < 0.5)
++ if (g_random.get_real() < 0.5)
+ option::mutate();
+ else
+ {
+ // mutate value of this option, up or down randomly
+- if (g_random.get_rand_real2() < 0.5)
++ if (g_random.get_real() < 0.5)
+ m_value -= m_step;
+ else
+ m_value += m_step;
+@@ -335,7 +335,7 @@
+ enum_option::enum_option(const vector<string> & a_choices, bool a_enabled)
+ : option(a_enabled),
+ m_choices(a_choices),
+- m_setting(g_random.get_rand_index(a_choices.size()))
++ m_setting(g_random.get_index(a_choices.size()))
+ {
+ // nada
+ }
+@@ -344,7 +344,7 @@
+ enum_option::enum_option(const char ** a_choices, size_t a_num_choices, bool a_enabled)
+ : option(a_enabled),
+ m_choices(),
+- m_setting(g_random.get_rand_index(a_num_choices))
++ m_setting(g_random.get_index(a_num_choices))
+ {
+ for (int n = 0; n < a_num_choices; ++n)
+ m_choices.push_back(string(a_choices[n]));
+@@ -369,7 +369,7 @@
+ token = strtok(NULL,"|");
+ }
+
+- m_setting = g_random.get_rand_index(m_choices.size());
++ m_setting = g_random.get_index(m_choices.size());
+
+ free(choices);
+ }
+@@ -407,17 +407,17 @@
+ void enum_option::randomize()
+ {
+ // randomize enabled
+- m_enabled = (g_random.get_rand_real2() < 0.5);
++ m_enabled = (g_random.get_real() < 0.5);
+
+ // randomize setting
+- m_setting = g_random.get_rand_index(m_choices.size());
++ m_setting = g_random.get_index(m_choices.size());
+ }
+
+ // mutate this option
+ void enum_option::mutate()
+ {
+ // select our mutation
+- if (g_random.get_rand() & 1)
++ if (g_random.get_real() < 0.5)
+ option::mutate();
+ else
+ {
+@@ -435,7 +435,7 @@
+
+ // find a different setting
+ while (new_setting == m_setting)
+- new_setting = g_random.get_rand_index(m_choices.size());
++ new_setting = g_random.get_index(m_choices.size());
+
+ m_setting = new_setting;
+ }
+@@ -915,7 +915,7 @@
+ // randomly pick an option from one of the parents
+ for (int n = 0; n < a_parent1.size(); ++n)
+ {
+- if (g_random.get_rand() & 1)
++ if (g_random.get_real() < 0.5)
+ child.push_back(a_parent1[n]->clone());
+ else
+ child.push_back(a_parent2[n]->clone());
+@@ -931,7 +931,7 @@
+ {
+ for (int n = 0; n < a_options.size(); ++n)
+ {
+- if (g_random.get_rand_real2() < a_mutation_chance)
++ if (g_random.get_real() < a_mutation_chance)
+ a_options[n]->mutate();
+ }
+ }
+@@ -1096,7 +1096,7 @@
+ acovea_organism * child;
+
+ // do we crossover?
+- if (g_random.get_rand_real2() <= m_crossover_rate)
++ if (g_random.get_real() <= m_crossover_rate)
+ {
+ // select a second parent
+ size_t second_index = first_index;
diff --git a/app-benchmarks/acovea/files/acovea-5.1.1-underlinking.patch b/app-benchmarks/acovea/files/acovea-5.1.1-underlinking.patch
new file mode 100644
index 00000000000..06ef410b6cc
--- /dev/null
+++ b/app-benchmarks/acovea/files/acovea-5.1.1-underlinking.patch
@@ -0,0 +1,10 @@
+diff --git a/cmdline/Makefile.am b/cmdline/Makefile.am
+index f3c763e..8e18d9c 100644
+--- a/cmdline/Makefile.am
++++ b/cmdline/Makefile.am
+@@ -7,4 +7,4 @@ bin_PROGRAMS = runacovea
+
+ runacovea_SOURCES = runacovea.cpp
+
+-LIBS = -L../libacovea -lacovea -lcoyotl -levocosm
++LIBS = -L../libacovea -lacovea -lcoyotl -levocosm -lbrahe
diff --git a/app-benchmarks/acovea/metadata.xml b/app-benchmarks/acovea/metadata.xml
new file mode 100644
index 00000000000..ca0d72e3113
--- /dev/null
+++ b/app-benchmarks/acovea/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>benchmarks</herd>
+ <maintainer>
+ <email>patrick@gentoo.org</email>
+ <name>Patrick Lauer</name>
+ </maintainer>
+</pkgmetadata>